echo off
rem  ͻ
rem   INSTALL.BAT batch file to Install the  SHEET LAYOUT diskette.  
rem  ͼ
rem
rem  First Check to make sure that 'TO:' parm was I/P.
rem
       if %1. == . goto ERR1

rem  Confirm Options.

       cls
       echo ͻ
       echo  SHEET LAYOUT    Install Procedure    
       echo ͼ
       echo Ready to Perform Install to Drive %1
       if not %2. == . echo   into Subdirectory %2
       echo Press Ctrl-C to Abort
       echo   (or)
       pause

       echo *
       if ERRORLEVEL 171 goto ERR2
       if ERRORLEVEL  46 goto ERR2
       if ERRORLEVEL  45 goto ERR1
       if ERRORLEVEL  31 goto ERR2
       if ERRORLEVEL   1 goto ERR2
       goto INSTALL1


:INSTALL1

rem  Setup the installation subdirectory (may not be necessary).

       if NOT %2. == . md %1%2

rem  Now Install all the programs and files.

       echo *
       echo Now COPY'ing programs to %1%2
       copy *.*        %1%2
       goto AOK

:ERR1
echo off
echo ͻ
echo   SHEET LAYOUT     Install Instructions                          
echo ͹
echo                                                                  
echo   1) Insert the SHEET LAYOUT  System disk into a floppy drive and
echo      logon to that drive.  If installing to a diskette, insert   
echo      it into the floppy drive that you will be installing to.    
echo                                                                  
echo   2) Type  "INSTALL DRIVE: \SL".  You must use the exact spacing.
echo                                                                  
echo     Drive :  is the drive-ID of the floppy or hard drive that    
echo              you will be installing the SHEET LAYOUT  to.        
echo                                                                  
echo     \SL      is the subdirectory that the  SHEET LAYOUT programs 
echo              will be copied into.  If this subdirectory doesn't  
echo              already exist, it will be created.  Omitt this      
echo              parameter when installing to a floppy diskette.     
echo                                                                  
echo  For example, typing exactly "INSTALL  C: \SL"  will install     
echo     SHEET LAYOUT  into a subdirectory named SL on drive-C.       
echo ͼ
       goto END

:ERR2
       echo *
       echo ͻ
       echo   SHEET LAYOUT      Installation Failed -       
       echo                                                 
       echo   For instructions on how to use this batch file
       echo     just type "INSTALL" without any parmeters.  
       echo ͼ
       echo *
       goto END

:AOK
       echo ͻ
       echo            Install Completed Successfully       
       echo ͼ

:END